import com.ibm.ifs.gold.auto.GtTransferHistoryInquiry;
import com.ibm.ifs.gold.auto.GtAddVariablePayment;
import com.ibm.ifs.gold.auto.GtAccountHistory;
import com.ibm.ifs.gold.GsGmSelfDefiningFieldDef;
import com.ibm.ifs.gold.IfsObject;
import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.gold.IfsSystem;
import com.ibm.ifs.gold.GsDate;
import com.ibm.ifs.gold.GsCurrency;
import java.text.Format;
import java.lang.String;
import com.ibm.ifs.gold.GtSelfRegistration;
import javax.servlet.http.Cookie;

public class CustomMethods
{
  public static boolean debugOn=false;

  public static void test_registerMethod(){
  }

  public static void test_registerMethod(String str){
  IfsSystem.debug("invoked test_registerMethod(String)");
  }
  public static void test_registerMethod(GtAddVariablePayment str){
  IfsSystem.debug("invoked test_registerMethod(GtAddVariablePayment)");
  }

  public static void test2_registerMethod(){
  }

  public static void test2_registerMethod(GtAddVariablePayment payment){
  }

  public static void test2_registerMethod(String str) {
  IfsSystem.debug("invoked test2_registerMethod(String)");
  }

  public static String test_invokeMethod() {
    return "test_invokeMethod() successful";
  }

  public static String test_invokeMethod(String str) {
    return str;
  }

  public static String test_validate(GtAddVariablePayment payment) {
    return "GtAddVariablePayment validation passed";
  }

  public static String test_validate(GsDate date) {
    return "GsDate validation passed";
  }

  public static String test_toString(GtAddVariablePayment payment) {
    return "toString() of GtAddVariablePayment";
  }

  public static String test_toString(GsDate date) {
    return "date = "+date.getDate()+"| format = "+date.getFormat();
  }

  public static String test_toString(GtAddVariablePayment payment, String prefix) {
    return "toString(String) of GtAddVariablePayment";
  }

  public static String test_toString(GsDate date,String prefix) {
    return "date = "+date.getDate()+prefix+" format = "+date.getFormat();
  }

  public static String test_toString(GtAddVariablePayment payment, IfsSession ifsSession) {
    return "toString(IfsSession) of GtAddVariablePayment";
  }

  public static String test_toString(GsDate date,IfsSession ifsSession) {
    return "date = "+date.getDate()+"| format = "+date.getFormat();
  }
  public static String test_toString(GsDate date, Format formatter) {
    return "date = "+date.getDate()+"| format = "+date.getFormat();
  }

  public static String test_requestReadyAction(GtAddVariablePayment payment) {
    return "Testing requestReadyAction in CustomMethods";
  }

  public static String test_responseReadyAction(GtAddVariablePayment payment) {
    return "Testing responseReadyAction in CustomMethods";
  }

  public static String test_requestReadyAction(GtTransferHistoryInquiry ti) {
      GsGmSelfDefiningFieldDef[] reqSD = new GsGmSelfDefiningFieldDef[2];
      reqSD[0] = new GsGmSelfDefiningFieldDef();
      reqSD[0].setFlags(IfsObject.SD_RESPONSE);
      reqSD[0].setOwner(ti.getSD_OWNER());
      reqSD[0].setDataType(IfsObject.SD_TYPE_CHAR);
      reqSD[0].setStructureInstanceCount(3);
      reqSD[0].setPropertyName("TfrHisInqId");
      reqSD[0].setTagID(10001);
      reqSD[0].setTagIDChain("000000010001");

      reqSD[1] = GsDate.asSelfDefiningFieldDef();
      reqSD[1].setFlags(IfsObject.SD_RESPONSE);
      reqSD[1].setOwner(ti.getSD_OWNER());
      reqSD[1].setDataType(IfsObject.SD_TYPE_DATE);
      reqSD[1].setPropertyName("TfrDueDt");
      reqSD[1].setTagID(10003);
      reqSD[1].setTagIDChain("000000010003");
      ti.setReqSelfDef(reqSD);

    return "OK";
  }

  public static String test_responseReadyAction(GtTransferHistoryInquiry ti) {
   try
   {
    ti.getTransferHistoryDetail()[0].getRespSelfDefData()[0].setSdChar("TfrToName");
    ti.getTransferHistoryDetail()[0].getRespSelfDefData()[1].setSdDate(GsDate.fromString("09/30/1999"));
   }
   catch(Exception e)
   {
    ti.debug("exception caught in test_responseReadyAction");
   }
    return "OK";
  }
  public static String test_validate(GtSelfRegistration sr)
  {
       String str = "";
       Cookie key = sr.getIfsSession().getSessionKey();
       if(key == null || key.getValue() == null) // "Pseudo-Registration" Step-1
       {
	 // Validate reqEncryptedCnsmrData1/reqCnsmrData1 field
	 if (sr.getReqEncryptedCnsmrData1() != null) {
	   if(sr.getReqEncryptedCnsmrData1().length > 0) {
	     if (sr.getReqEncryptedCnsmrData1().length > IfsSystem.MAX_PASSWORD_LENGTH)
	       str += "The Account Number value is greater than maximum allowed value";
	   }
	   else {
	     str += "The Account Number is empty<BR>";
	   }
	 }
	 else if (sr.getReqCnsmrData1() != null ) { 
	   if(sr.getReqCnsmrData1().length() >0) {
	     if (sr.getReqCnsmrData1().length() > IfsSystem.MAX_PASSWORD_LENGTH)
	       str += "The Account Number value is greater than maximum allowed value";
	   }
	   else {
	     str += "The Account Number is empty<BR>";
	   }
	 }
	 else {
	     str += "The Account Number is empty<BR>";
	 }

	 // Validate reqEncryptedCnsmrData2/reqCnsmrData2 field
	 if (sr.getReqEncryptedCnsmrData2() != null) {
	   if(sr.getReqEncryptedCnsmrData2().length > 0) {
	     if (sr.getReqEncryptedCnsmrData2().length > IfsSystem.MAX_PASSWORD_LENGTH)
	       str += "The ATM/Check Card Number value is greater than maximum allowed value<BR>";
	   }
	   else {
	     str += "The ATM/Check Card Number is empty<BR>";
	   }
	 }
	 else if (sr.getReqCnsmrData2() != null ) { 
	   if(sr.getReqCnsmrData2().length() >0) {
	     if (sr.getReqCnsmrData2().length() > IfsSystem.MAX_PASSWORD_LENGTH)
	       str += "The ATM/Check Card Number value is greater than maximum allowed value";
	   }
	   else {
	     str += "The ATM/Check Card Number is empty<BR>";
	   }
	 }
	 else {
	     str += "The ATM/Check Card Number is empty<BR>";
	 }

	 // Validate reqEncryptedCnsmrData3/reqCnsmrData3 field
	 if (sr.getReqEncryptedCnsmrData3() != null) {
	   if(sr.getReqEncryptedCnsmrData3().length > 0) {
	     if (sr.getReqEncryptedCnsmrData3().length > IfsSystem.MAX_PASSWORD_LENGTH)
	       str += "The ATM Pin Number value is greater than maximum allowed value<BR>";
	   }
	   else {
	     str += "The ATM Pin Number is empty<BR>";
	   }
	 }
	 else if (sr.getReqCnsmrData3() != null ) { 
	   if(sr.getReqCnsmrData3().length() >0) {
	     if (sr.getReqCnsmrData3().length() > IfsSystem.MAX_PASSWORD_LENGTH)
	       str += "The ATM Pin Number value is greater than maximum allowed value<BR>";
	   }
	   else {
	     str += "The ATM Pin Number is empty<BR>";
	   }
	 }
	 else {
	     str += "The ATM Pin Number is empty<BR>";
	 }
       }
       else // "Registration" Step-2
       {
	 //Validate UserID
	 if (sr.getReqSelfConsumerID() != null) {
	   if(sr.getReqSelfConsumerID().trim().length() > 0) {
	     if (sr.getReqSelfConsumerID().trim().length() > IfsSystem.MAX_USER_ID_LEN)
		str += "The User ID value is greater than maximum allowed value<BR>";
	   }
	   else {
	        str += "The user ID is empty<BR>";
	   }
	 }
	 else {
	        str += "The user ID is empty<BR>";
	 }

	 //Validate Password
	 if (sr.getReqEncryptedPasswordID() != null) {
	   if(sr.getReqEncryptedPasswordID().length > 0) {
	     if (sr.getReqEncryptedPasswordID().length > IfsSystem.MAX_PASSWORD_LENGTH)
	       str += "The Password value is greater than maximum allowed value<BR>";
	   }
	   else {
	     str += "The Password value is empty<BR>";
	   }
	 }
	 else if (sr.getReqPasswordID() != null ) { 
	   if(sr.getReqPasswordID().length() >0) {
	     if (sr.getReqPasswordID().length() > IfsSystem.MAX_PASSWORD_LENGTH)
	       str += "The Password value is greater than maximum allowed value<BR>";
	   }
	   else {
	     str += "The Password value is empty<BR>";
	   }
	 }
	 else {
	   str +=  "The Password value is empty<BR>";
	 }
       }
       if(str.equals("")) str = "OK";
       return str;
  }
  public static String responseReadyAction(GtAccountHistory ah) {
		try {
			ah.debug("Creating GsCurrency for $100.66 and storing as first element of self-defining array");
			ah.getRespSelfDefData()[1].setSdCurrency(GsCurrency.fromString("$100.66"));
			ah.debug("Creating GsCurrency for -$456.79 and storing as second element of self-defining array");
			ah.getRespSelfDefData()[2].setSdCurrency(GsCurrency.fromString("-$456.79"));
			ah.debug("Creating GsDate for 09/24/1999 and storing as third element of self-defining array");
			ah.getRespSelfDefData()[3].setSdDate(GsDate.fromString("09/24/1999"));
			ah.debug("Creating GsDate for 01/01/2000 and storing as fourth element of self-defining array");
			ah.getRespSelfDefData()[4].setSdDate(GsDate.fromString("01/01/2000"));
			return "OK";
		}
		catch(Exception e) {
			ah.debug("Exception caught in CustomMethods responseReadyAction method, value is " + e.toString());
			return ("Exception caught in CustomMethods responseReadyAction method, value is " + e.toString());
		}
	}
}

