import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.ifs.servlets.IfsHttpServlet;
import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.gold.IfsSystem;

public class MainPage extends IfsHttpServlet {
	public static boolean debugOn = false;

	public void doGet (HttpServletRequest req, HttpServletResponse res) 
				throws ServletException, IOException {

                IfsSession ifsSession = new IfsSession(req, res);
                                        setDefaultHeader(res);

		PrintWriter pw = res.getWriter();
		
		pw.println ("<HTML>");
		pw.println ("<HEAD>");
		addCopyright(res);
		pw.println ("<TITLE>Servlet Test Page</TITLE>");
		pw.println ("</HEAD>");
		pw.println ("<BODY BGCOLOR='#FFFFFF'>");
		pw.println ("<CENTER>");
		pw.println ("<BR><BR>");
		pw.println ("<FONT SIZE='6'><B>Servlet Test Page</B></FONT>");
                pw.println ("<BR><BR><BR>");
		pw.println ("<TABLE BORDER='0' CELLPADDING='0' CELLSPACING='0'>");
	        pw.println ("<TR>	<TD ALIGN='left' VALIGN='center'><B>Purpose: </B>" +
                            "To provide a singular interface to be used for the purpose of testing various servlets.</TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center'>&nbsp;</TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center'><B>To Use: </B>" +
                            "Click the hyperlinks on the left-side menu to navigate to the corresponding servlet.</TD></TR>"); 
                pw.println ("<TR>	<TD ALIGN='left' VALIGN='center'>&nbsp;</TD></TR>"); 
                pw.println ("<TR>	<TD ALIGN='left' VALIGN='center'><B>Notes:</B><BR>" +
			                "1. All of the handleError test cases require testing against a region in order to get the various" +
                                        "<BR>error conditions returned.<BR>" + 
                                        "2. All other servlets <B>should</B> work with FISIM or MQweb. However, if a test fails using either of" +
                                        "<BR>these backends, the test should be repeated using a region.  If it still fails, a defect should be opened" +
                                        "<BR>against the servlet.  If it does not fail on the region, the defect should be written against the backend" +
                                        "<BR>being used when the servlet failed.</TD></TR>");
                pw.println ("</TABLE>");
                pw.println ("</CENTER>");

		pw.println ("</BODY>");
		pw.println ("</HTML>");

	}
}

