/*
 * IfsCustCare.java
 * 
 * Licensed Materials - Property of IBM
 * 5648-A06
 * (c) Copyright IBM Corporation, 1996-2000. All rights reserved.
 * US Government Users Restricted Rights - Use, duplication
 * or disclosure restricted by GSA ADP Schedule Contract
 * with IBM
 *
 */

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.ifs.servlets.IfsHttpServlet;
import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.gold.IfsSystem;

public class IfsCustCare extends IfsHttpServlet {

	public static boolean debugOn = false;
	public void doGet (HttpServletRequest req, HttpServletResponse res)
				throws ServletException, IOException {

		IfsSession sess = new IfsSession(req, res);
                IfsSystem.initIfs();
                setDefaultHeader(res);
		PrintWriter out = res.getWriter();
             
                try { 
                    out.println ("<HTML>");
                    out.println ("<HEAD>");

                    addCopyright(res);

                    out.println ("<TITLE>Customer Care</TITLE>");
                    out.println ("</HEAD>");

                    out.println ("<FRAMESET BORDER='0' FRAMEBORDER='0' FRAMESPACING='0' COLS='150,*'>");
                    out.println ("        <FRAME SRC='IfsNavigation' NAME='Navigation' MARGINWIDTH='2' MARGINHEIGHT='2' SCROLLING='no' NORESIZE TARGET='Content'>"); 
                    out.println ("        <FRAME SRC='IfsSubStr' NAME='Content' MARGINWIDTH='2' MARGINHEIGHT='2' SCROLLING='auto'>\n"); 

                    out.println ("        <NOFRAMES>\n");

                    out.println ("        <BODY BGCOLOR='#000000'>");
                    out.println ("        </BODY>\n");

                    out.println ("        </NOFRAMES>");

                    out.println ("</FRAMESET>\n");

                    out.println ("</HTML>");
                }
                catch (Exception e) {
                    debug (res, "In outer catch: an exception has been thrown " +e.toString() );
                }

                out.flush();
                out.close();
	}
}
