/*
 * IfsNavigation.java
 *
 * Licensed Materials - Property of IBM
 * 5648-A06
 * (c) Copyright IBM Corporation, 1996-2000. All rights reserved.
 * US Government Users Restricted Rights - Use, duplication
 * or disclosure restricted by GSA ADP Schedule Contract
 * with IBM
 *
 */

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.ifs.servlets.IfsHttpServlet;
import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.gold.IfsSystem;

public class IfsNavigation extends IfsHttpServlet
{

   public static boolean debugOn = false;

   public void doGet (HttpServletRequest req, HttpServletResponse res)
                      throws ServletException, IOException
   {

      IfsSession sess = new IfsSession(req, res);
      IfsSystem.initIfs();
      setDefaultHeader(res);
      PrintWriter out = res.getWriter();

      try
      {
         out.println ("<HTML>");
         out.println ("<HEAD>");

         addCopyright(res);

         out.println ("<TITLE> IFS Navigation</TITLE>\n");

         out.println ("<BASE TARGET='Content'>");
         out.println ("</HEAD>\n");

         out.println ("<BODY TEXT='#CCCCCC' BGCOLOR='#000000' LINK='#FFFFFF' VLINK='#FFFFFF' ALINK='#FFFFFF' BACKGROUND='/images/navback.gif'>\n");

         out.println ("<P>\n");

         out.println ("<CENTER>\n");

         out.println ("<TABLE BORDER='0' CELLPADDING='0' COLS='1' WIDTH='100%'>");
         out.println ("<TR> <TD ALIGN='center'><HR WIDTH='120'><FONT SIZE='+2'>I F S</FONT><BR><B><I><FONT FACE='Arial, Helvetica' COLOR='#FFFFFF' SIZE='+1'>Customer Care System</FONT></I></B><HR WIDTH='120'></TD></TR>");
         out.println ("<TR> <TD ALIGN='center'><FONT FACE='Arial,Helvetica' COLOR='#808080' SIZE='-1'><A HREF='IfsSubStr' TARGET='Content' onMouseOver='window.status=\"Subscriber Session Start\"; return true'>Subscriber Session Start</A></FONT></TD></TR>");
         out.println ("<TR> <TD>&nbsp;</TD></TR>");
         out.println ("<TR> <TD ALIGN='center'><FONT FACE='Arial,Helvetica' COLOR='#808080' SIZE='-1'><A HREF='IfsSubEnd' TARGET='Content' onMouseOver='window.status=\"Subscriber Session End\"; return true'>Subscriber Session<BR>End</A></FONT></TD></TR>");
         out.println ("<TR> <TD>&nbsp;</TD></TR>");
         out.println ("<TR> <TD ALIGN='center'><FONT FACE='Arial,Helvetica' COLOR='#808080' SIZE='-1'><A HREF='IfsCsrExit' TARGET='_parent' onMouseOver='window.status=\"Logoff CSR\"; return true'>Logoff CSR</A></FONT>&nbsp;</TD></TR>");
         out.println ("<TR> <TD>&nbsp;</TD></TR>");
         out.println ("<TR> <TD ALIGN='center'><FONT FACE='Arial,Helvetica' COLOR='#808080' SIZE='-1'><A HREF='IfsRunCtw' TARGET='Content' onMouseOver='window.status=\"Run CTW\"; return true'>Run CTW</A></FONT></TD></TR>");
         out.println ("</TABLE>\n");

         out.println ("</CENTER>\n");

         out.println ("</BODY>");
         out.println ("</HTML>");
      }
      catch (Exception e)
      {
         debug (res, "IfsNavigation page has thrown exception: " + e.toString() );
      }

      out.flush();
      out.close();
   }
}
