/* 
 * IfsSubEnd2.java
 *
 * Licensed Materials - Property of IBM
 * 5648-A06
 * (c) Copyright IBM Corporation, 1996-2000. All rights reserved.
 * US Government Users Restricted Rights - Use, duplication
 * or disclosure restricted by GSA ADP Schedule Contract
 * with IBM
 *
 */

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.ifs.servlets.IfsHttpServlet;
import com.ibm.ifs.gold.auto.GtCSRConsumerEnd;
import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.gold.IfsSystem;

public class IfsSubEnd2 extends IfsHttpServlet {

	public static boolean debugOn = false;
	public void doPost (HttpServletRequest req, HttpServletResponse res)
				throws ServletException, IOException {

		IfsSession ifsSession = new IfsSession(req, res);
                IfsSystem.initIfs();
                setDefaultHeader(res);
		PrintWriter out = res.getWriter();

                    GtCSRConsumerEnd consumerend = new GtCSRConsumerEnd();
                    consumerend.setIfsSession(ifsSession);

                try {
                    consumerend.execute();
                    handleErrors(consumerend, IfsSystem.ErrorPage, IfsSystem.InfoPage, IfsSystem.RedoPage);
                    out.println ("<HTML>");
                    out.println ("<HEAD>");
         
                    addCopyright(res);

                    out.println ("<TITLE>Subscriber Session End</TITLE>");
                    out.println ("</HEAD>\n");

                    out.println ("<BODY BGCOLOR='#FFFFFF' TEXT='#000000'>\n");

                    out.println ("<BR><BR><BR>\n");
 
                    out.println ("<CENTER>\n");

                    out.println ("<FONT SIZE='5'><B>Subscriber Session End Successful</B></FONT>\n");

                    out.println ("</CENTER>\n");

                    out.println ("</BODY>");
                    out.println ("</HTML>\n");

                    out.flush();
                    out.close();
                 }
                 catch(Exception e) {
                    debug(res, "An exception has been thrown in the success page part. Exception=" + e.toString());
                 }
  
	}
}
