/*
 * IfsSubStr.java
 *
 * Licensed Materials - Property of IBM
 * 5648-A06
 * (c) Copyright IBM Corporation, 1996-2000. All rights reserved.
 * US Government Users Restricted Rights - Use, duplication
 * or disclosure restricted by GSA ADP Schedule Contract
 * with IBM
 *
 */

import java.io.*;
import java.net.*;
import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.ifs.servlets.IfsHttpServlet;
import com.ibm.ifs.gold.auto.GtCSRConsumerStart;
import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.gold.IfsSystem;

public class IfsSubStr extends IfsHttpServlet {

	public static boolean debugOn = false;
	public void doGet (HttpServletRequest req, HttpServletResponse res)
				throws ServletException, IOException {

		IfsSession ifsSession = new IfsSession(req, res);
                IfsSystem.initIfs();
                setDefaultHeader(res);
		PrintWriter out = res.getWriter();

                try {
                    out.println ("<HTML>");
                    out.println ("<HEAD>");

                    addCopyright(res);

                    out.println ("<Title>Subscriber Session Start</TITLE>");
                    out.println ("</HEAD>\n");

                    out.println ("<BODY BGCOLOR='#FFFFFF' TEXT='#000000'>\n");

                    out.println ("<P>\n");

                    out.println ("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='0' CELLPADDING='1'>");
                    out.println ("<TR> 	<TD VALIGN='baseline' ALIGN='center'><FONT SIZE='+2' COLOR='#000000'>SUBSCRIBER SESSION START</FONT></TD></TR>");
                    out.println ("<TR>	<TD HEIGHT='4' VALIGN='middle'><IMG SRC='/images/blue.gif' WIDTH='100%' HEIGHT='2' NATURALSIZEFLAG='0'></TD></TR>");
                    out.println ("</TABLE>\n");

                    out.println ("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='2' CELLPADDING='2'>");
                    out.println ("<TR>	<TD WIDTH='90%' BGCOLOR='#8EB5F0'>&nbsp;</TD></TR>");
                    out.println ("</TABLE>\n");

                    out.println ("<CENTER>\n");

                    out.println ("<P>Please enter the Subscriber's Id you want to become and press <B>Enter</B>.\n");

                    out.println ("<FORM METHOD='post' ACTION='" + IfsSystem.ServerPath + "IfsSubStr2'>\n");

                    out.println ("<TABLE WIDTH='350' BORDER='0' CELLPADDING='0' HEIGHT='100'>");
                    out.println ("<TR>	<TD NOWRAP HEIGHT='27' WIDTH='27%'><P ALIGN='right'><B>Subscriber&nbsp;ID:</B></TD>");
                    out.println ("        <TD><INPUT TYPE='text' NAME='reqChangeableConsumerID' SIZE='30' MAXLENGTH='30' VALUE=''></TD>");
                    out.println ("</TR>");
                    out.println ("</TABLE>\n");

                    out.println ("<P>\n");
      
                    out.println ("<INPUT TYPE='submit' NAME='subStr' VALUE='Subscriber Logon'>\n");

                    out.println ("</FORM>\n");
                    
                    out.println ("</CENTER>\n");
    
                    out.println ("</BODY>");
                    out.println ("</HTML>");
		}    
                catch (Exception e) {
                    debug (res, "In outer catch: an exception has been thrown " +e.toString() );
                }
             
		out.flush();
		out.close();
	}

        public void doPost(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
	    try {
                doGet(req,res);
            }
            catch(Exception e) {
                StringBuffer errMsg = new StringBuffer();
                errMsg.append("ErrorPage?Exception=");
                errMsg.append(URLEncoder.encode("Exception caught in doPost method when calling doGet method in Subscriber Start Servlet, explanation:"));
                errMsg.append(URLEncoder.encode(e.toString()));
                callPage(res, errMsg.toString());
            } 
	}
}
