/*
 * IfsSubStr2.java
 *
 * Licensed Materials - Property of IBM
 * 5648-A06
 * (c) Copyright IBM Corporation, 1996-2000. All rights reserved.
 * US Government Users Restricted Rights - Use, duplication
 * or disclosure restricted by GSA ADP Schedule Contract
 * with IBM
 *
 */

import java.io.*;
import java.net.*;
import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.ifs.servlets.IfsHttpServlet;
import com.ibm.ifs.gold.auto.GtCSRConsumerStart;
import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.gold.IfsSystem;

public class IfsSubStr2 extends IfsHttpServlet {

    public static boolean debugOn = false;
    public void doPost (HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {

        IfsSession ifsSession = new IfsSession(req, res);
        IfsSystem.initIfs();
        setDefaultHeader(res); 
        PrintWriter out = res.getWriter();

        GtCSRConsumerStart consumerstart = null;
            
    try {
       consumerstart = (GtCSRConsumerStart) createInstance(ifsSession, "com.ibm.ifs.gold.auto.GtCSRConsumerStart", "consumerstart");
        if(null!=consumerstart) {
        consumerstart.setReqChangeableConsumerID((String) getRequestParameter(req, "reqChangeableConsumerID"));
        }
        consumerstart.execute();
        handleErrors(consumerstart, IfsSystem.ErrorPage, IfsSystem.InfoPage, IfsSystem.RedoPage);
    }
    catch(Exception e) {
        debug(res, "An exception has occured in the setters. Exception=" + e.toString());
    }


    try {
        out.println ("<HTML>");
        out.println ("<HEAD>");
           
        addCopyright(res);
 
        out.println ("<TITLE>Subscriber Session Start Successful</TITLE>");
        out.println ("<HEAD>\n");

        out.println ("<BODY BGCOLOR='#FFFFFF' TEXT='#000000'>\n");

        out.println ("<P>\n");

        out.println ("<CENTER>\n");

        out.println ("<FONT SIZE='5'><B>SubScriber Session Start Successful</B></FONT>\n");

        out.println ("</CENTER>\n");

        out.println ("</BODY>");
        out.println ("</HTML>\n");

        out.flush();
        out.close();
    }
    catch(Exception e){
        debug(res, "An expection has been thrown in the success page part. Excpetion=" + e.toString());
    }

    }
}
