//-*************************************
//
// FILE NAME:  IfsWpMainDisplay.java
//
// COPYRIGHT:
//    Licensed Materials - Property of IBM
//    5648-A06
//    (c) Copyright IBM Corporation, 1999, 2000. All rights reserved.
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract with IBM
//
//-*************************************

import java.io.*;
import java.util.*;

import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.ifs.gold.*;
import com.ibm.ifs.gold.auto.*;
import com.ibm.ifs.servlets.*;

/**
* This class displays the main functions screen.
*/
public class IfsWpMainDisplay extends IfsWpApplication
{
   // Controls the generation of debugging output for this class when
   // IfsSystem.debugMode equals DEBUG_SOME_CLASSES.
   public static boolean debugOn = false;


   /**
   * Display main function screen
   */
   public void doGet(HttpServletRequest request, HttpServletResponse response)
               throws ServletException, IOException
   {
      PrintWriter out = startHtmlOutput(response, "IFS");

      // output main functions
      out.println("<CENTER><TABLE>");

      // accounts
      out.println("<TR><TD COLSPAN=3 ALIGN=CENTER>");
      out.println("<A href=IfsWpAccounts>");
      out.println("<IMG SRC=\"/ifsgif/accounts.gif\" ALT=Accounts BORDER=0 ></A>");

      // transfer
      out.println("<TR><TD ALIGN=CENTER>");
      out.println("<P><A href=IfsWpTransfer>");
      out.println("<IMG SRC=\"/ifsgif/transfer.gif\" ALT=Transfer BORDER=0 ></A>");

      // ifs logo
      out.println("<TD ALIGN=CENTER>");
      out.println("<IMG SRC=\"/ifsgif/ifslogo.gif\" BORDER=0 >");

      // services
      out.println("<TD ALIGN=CENTER>");
      out.println("<P><A href=IfsWpServices>");
      out.println("<IMG SRC=\"/ifsgif/services.gif\" ALT=Services BORDER=0 ></A>");

      // pay bills
      //out.println("<TR><TD COLSPAN=3 ALIGN=CENTER>");
      //out.println("<P>");
      //out.println("<IMG SRC=\"/ifsgif/paybills.gif\" ALT=\"Pay bills\" BORDER=0 >");

      out.println("</TABLE>");

      // logoff
         out.println("<A href=IfsWpLogoff>Logoff</A>");

      // end html output
      out.println("</CENTER></BODY></HTML>");
      out.close();
   }
}
