//***************************************************************************
//
// FILE NAME:   GtSelfDefiningInfo.java
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1999 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//***************************************************************************
//  MTI Level:00.01.04
//***************************************************************************
//
//
package com.ibm.ifs.gold;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

public class GtSelfDefiningInfo extends IfsTxn
{
   public static boolean debugOn=false;
// constructor

   public GtSelfDefiningInfo(){setContainsRespCode(0);}

   public GtSelfDefiningInfo(IfsSession sess) {
  setIfsSession(sess); setContainsRespCode(0);
   }
   private static final String BuildLevelSignature     = "Wed Jul  5 13:24:43 ";
   public  String getBuildLevelSignature()         {return(BuildLevelSignature);}

   private static final String GMRequestId             = "qselfdef_java";
   public  String getGMRequestId()                 {return(GMRequestId);}

   private static final String MTILevel                = "00.01.04";
   public  String getMTILevel()                    {return(MTILevel);}

   public static final int SD_OWNER = 0;
   public int getSD_OWNER() { return( SD_OWNER ); }
   private static Hashtable registry = new Hashtable();
   public static Hashtable getRegistry() {return registry;}

   public static final int SDThis = 0;

// request message fields/setters/getters

// End of Header -- Start of Declarations

	private GsGmSelfDefiningFieldDef[] gMSDFieldDef = null;
	public void setGMSDFieldDef(GsGmSelfDefiningFieldDef[] o) {gMSDFieldDef = o;}
	public GsGmSelfDefiningFieldDef[] getGMSDFieldDef() {return(gMSDFieldDef);}
public void addGoldToGMJI( int argFlags, String cacheTxnName )
{
	addArgToGMJI( com.ibm.ifs.gold.auto.GMDGlobals.GtSelfDefiningInfo );
	addArgToGMJI( argFlags );
	addArgToGMJI( cacheTxnName );
	addArgToGMJI( BuildLevelSignature );

	reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef);
	addArgToGMJI( reqSelfDef_packed );
}

//End of Input Function -- Start Output Function

public void getGoldFromGMJO()
{
	int repeatCounter;

		repeatCounter = getNextLongFromGMJO( "repeatCounter" );
		gMSDFieldDef = new GsGmSelfDefiningFieldDef[repeatCounter];
		for (int i = 0; i < repeatCounter; i++)
		{
		  gMSDFieldDef[i]			= new GsGmSelfDefiningFieldDef(this);
		}
	addSelfDefProperties();
}

//End of Output Function -- Start ShowObject

public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
{
  final String newPrefix = prefix + "|  ";

		pageWriter.println( prefix + "gMSDFieldDef = " );
		if(gMSDFieldDef == null) {
		  pageWriter.println (" (null)");
		} else {
		  for (int j = 0; j < gMSDFieldDef.length;j++) {
			gMSDFieldDef[j].showObject( res, pageWriter, newPrefix );
		  }
		  pageWriter.println ("<br>");
		}
}

//End of ShowObject -- Start Populate

public void populateFromURL ( Object txn, HttpServletRequest req, String prefix )
{
	int repeatCounter;

}
}
