import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.ibm.ifs.gold.GtLogoff;
import com.ibm.ifs.gold.IfsException;
import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.gold.IfsSystem;
import com.ibm.ifs.servlets.IfsHttpServlet;

/**
 * Logoff servlet.
 * @author Sterling Smith */

public class Logoff extends IfsHttpServlet {
   public static boolean debugOn = false;

   public void doGet (HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {

      setDefaultHeader(res);
      PrintWriter pw = res.getWriter();
      IfsSystem.initIfs();
      IfsSession ifsSession = new IfsSession(req,res);

      pw.println("<HTML>");
      addCopyright(res);
      pw.println("<HEAD>");

      pw.println("<TITLE>");
      pw.println("Test Servlets Logoff");
      pw.println("</TITLE>");

      pw.println("<META NAME=\"Author\" VALUE=\"IBM Corporation\">");
      pw.println("<META NAME=\"Application\" VALUE=\"Customizable Web Server Test Pages\">");
      pw.println("</HEAD>");

      pw.println("<BODY BGCOLOR=\"#ffffff\">");
      pw.println("<BODY BGCOLOR=\"#FFFFFF\" BACKGROUND=\"\">");
      pw.println("<TABLE WIDTH=\"100%\" BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\">");
      pw.println("<TR>");
      pw.println("<TD><IMG SRC=\"/images/3dlogo.gif\" ALIGN=\"TOP\"></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      pw.println("<BR>");
      pw.println("<TABLE WIDTH=\"100%\" BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\">");
      pw.println("<TR>");
      pw.println("<TD><IMG SRC=\"/images/3dbanner.gif\" ALIGN=\"TOP\"></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      pw.println("<BR>");

      /*--- Begin ButtonBar ---------------*/
      pw.println("<TABLE BORDER='0' CELLPADDING='0' CELLSPACING='0'>");
      pw.println("<TR>");
      pw.println("<TD VALIGN='MIDDLE' ALIGN='CENTER' NOWRAP><A HREF='" + IfsSystem.HelpPage + "' onClick='OpenHelp(); return false;' onMouseOver=\"window.status='Display Help for Current Page'; return true\" ><IMG  SRC='/images/tab_help.gif' WIDTH='98' HEIGHT='48' NAME='help' ALT='Help' BORDER='0' ALIGN='BOTTOM'></A></TD>");
      pw.println("<TD VALIGN='MIDDLE' ALIGN='CENTER' NOWRAP><IMG  SRC='/images/tab_exit.gif' WIDTH='98' HEIGHT='48' NAME='exit' ALT='Exit' BORDER='0' ALIGN='BOTTOM'></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      /*--- End ButtonBar -----------------*/

      /*--- Begin Standard Title ------------------------*/
      pw.println("<P><TABLE WIDTH='100%' BORDER='0' CELLSPACING='0' CELLPADDING='0'><TR>");
      pw.println("<TD VALIGN='BASELINE' ALIGN='CENTER'><FONT SIZE=+2 COLOR='#000000'>Test Servlets Logoff</FONT></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      pw.println("<IMG SRC='/images/hr_2.gif' WIDTH='100%' HEIGHT='3' ALIGN='CENTER'><BR>");
      pw.println("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='3' CELLPADDING='2'>");
      pw.println("<TR>");
      pw.println("<TD WIDTH='90%' BGCOLOR='#8EB5F0'>&nbsp;</TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      pw.println("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='2' CELLPADDING='0'>");
      pw.println("<TR>");
      pw.println("<TD WIDTH='100%' VALIGN='TOP'><FONT></FONT></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      /*--- End Standard Title---------------------------*/

      //Call GtLogoff
      GtLogoff logoff = new GtLogoff();
      logoff.setIfsSession(ifsSession);
      try {
         logoff.execute();
      }
      catch(IfsException e) { debug("Logoff.doGet() caught an exception, value is " + e.toString());}

      pw.println("<BR><BR>Goodbye, Thanks for banking with us!");
      pw.println("<BR><BR>Click the <B>Enter</B> button below to re-enter PC banking.");

      //FORM to send data to LogonPage
      pw.println("<BR><BR><BR>");
      pw.println("<CENTER>");
      pw.println("<P><FORM METHOD='get' NAME='logon' ACTION='" + IfsSystem.LogonPage + "'>");
      pw.println("<INPUT TYPE='image' VALUE='logon' SRC='/images/enter.gif'");
      pw.println("WIDTH='85' HEIGHT='25' BORDER='0'>");
      pw.println("</P>");
      pw.println("<BR><P>Click here to review the <A href='" + IfsSystem.BankInfoPage + "'><U>Terms&nbsp;and&nbsp;Conditions</U></A>");
      pw.println(" of this service.</P>");
      pw.println("</CENTER>");

      pw.println("</BODY>");
      pw.println("</HTML>");
   }
}

