import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ibm.ifs.servlets.IfsHttpServlet;
import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.gold.IfsSystem;
/**
 * Logon servlet.
 * @author      Sterling Smith*/

public class Logon extends IfsHttpServlet {
   public static boolean debugOn = false;

   public void doGet (HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {

      setDefaultHeader(res);
      PrintWriter pw = res.getWriter();
      IfsSystem.initIfs();
      IfsSession ifsSession = new IfsSession(req,res);

      pw.println("<HTML>");
      pw.println("<HEAD>");
      addCopyright(res);
      pw.println("<SCRIPT LANGUAGE='JavaScript'>");
      pw.println("<!--");

      // client side validation code for logon
      pw.println("function ClientValidateLogon(logonForm)");
      pw.println("{");
      pw.println("   errorMessage = getValidateMsg('ClientHeader');");

      pw.println("   rc1 = ValidateMandatoryInputText(logonForm.UserID.value);");
      pw.println("   if (rc1 == false ) ");
      pw.println("   {");
      pw.println("      errorMessage = errorMessage + getValidateMsg('CustomerID');");
      pw.println("   }");

      pw.println("   if( (rc1) == false )");
      pw.println("   {");
      pw.println("      errorMessage = errorMessage + getValidateMsg('ClientFooter');");
      pw.println("      alert(errorMessage);");
      pw.println("      return(false);");
      pw.println("   }");
      pw.println("   else return(true);");
      pw.println("}");

      // client side clearFields()
      pw.println("function clearFields() ");
      pw.println("{ ");
      pw.println("   if (document[0]) ");
      pw.println("   { ");
      pw.println("      document.my_logon.UserID.value='';");
      pw.println("      document.my_logon.Pin.value='';");
      pw.println("      document.my_logon.Password.value=''; ");
      pw.println("   } ");
      pw.println("} ");
      pw.println("//-->");
      pw.println("</SCRIPT>");

      pw.println("<TITLE>");
      pw.println("Test Servlets Logon");
      pw.println("</TITLE>");

      pw.println("<META NAME=\"Author\" VALUE=\"IBM Corporation\">");
      pw.println("<META NAME=\"Application\" VALUE=\"Customizable Web Server Test Pages\">");
      pw.println("</HEAD>");

      pw.println("<BODY BGCOLOR=\"#ffffff\">");
      pw.println("<BODY BGCOLOR=\"#FFFFFF\" BACKGROUND=\"\">");
      pw.println("<TABLE WIDTH=\"100%\" BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\">");
      pw.println("<TR>");
      pw.println("<TD><IMG SRC=\"/images/3dlogo.gif\" ALIGN=\"TOP\"></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      pw.println("<BR>");
      pw.println("<TABLE WIDTH=\"100%\" BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\">");
      pw.println("<TR>");
      pw.println("<TD><IMG SRC=\"/images/3dbanner.gif\" ALIGN=\"TOP\"></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      pw.println("<BR>");

      /*--- Begin ButtonBar ---------------*/
      pw.println("<TABLE BORDER='0' CELLPADDING='0' CELLSPACING='0'>");
      pw.println("<TR>");
      pw.println("<TD VALIGN='MIDDLE' ALIGN='CENTER' NOWRAP><A HREF='" + IfsSystem.HelpPage + "' onClick='OpenHelp(); return false;' onMouseOver=\"window.status='Display Help for Current Page'; return true\"><IMG  SRC='/images/tab_help.gif' WIDTH='98' HEIGHT='48' NAME='help' ALT='Help' BORDER='0' ALIGN='BOTTOM'></A></TD>");
      pw.println("<TD VALIGN='MIDDLE' ALIGN='CENTER' NOWRAP><A HREF='" + IfsSystem.LogoffPage + "'><IMG  SRC='/images/tab_exit.gif' WIDTH='98' HEIGHT='48' NAME='exit' ALT='Exit' BORDER='0' ALIGN='BOTTOM'></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      /*--- End ButtonBar -----------------*/

      /*--- Begin Standard Title ------------------------*/
      pw.println("<P><TABLE WIDTH='100%' BORDER='0' CELLSPACING='0' CELLPADDING='0'>");
      pw.println("<TR>");
      pw.println("<TD VALIGN='BASELINE' ALIGN='CENTER'><FONT SIZE=+2 COLOR='#000000'>Test Servlets Logon</FONT></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      pw.println("<IMG SRC='/images/hr_2.gif' WIDTH='100%' HEIGHT='3' ALIGN='CENTER'><BR>");
      pw.println("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='3' CELLPADDING='2'>");
      pw.println("<TR>");
      pw.println("<TD WIDTH='90%' BGCOLOR='#8EB5F0'>&nbsp;</TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      pw.println("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='2' CELLPADDING='0'>");
      pw.println("<TR>");
      pw.println("<TD WIDTH='100%' VALIGN='TOP'><FONT></FONT></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      /*--- End Standard Title---------------------------*/

      pw.println("Welcome to PC Banking! To access your account(s), please enter your User ID, PIN and Password.  By clicking on the <B>Enter</B> button, you have accepted the ");
      pw.println("<A href='/logon/bankinfo.html'><U>Terms&nbsp;and&nbsp;Conditions</U></A>");
      pw.println(" of this service.");

      // Display Logon Form
      pw.println("<P><CENTER>");
      pw.println("<FORM METHOD='post' NAME='my_logon' action='" + IfsSystem.ServerPath + "ProcessLogon' onSubmit='return ClientValidateLogon(this)'>");
      pw.println("<TABLE WIDTH='350' BORDER='0' CELLPADDING='0' HEIGHT='100'>");
      pw.println("<TR>");
      pw.println("<TD NOWRAP HEIGHT='27' WIDTH='27%'><P ALIGN=RIGHT><B>Customer ID:</B></TD>");
      pw.println("<TD><INPUT TYPE=text NAME=UserID SIZE=30 MAXLENGTH=30 VALUE=''></TD>");
      pw.println("</TR>");
      pw.println("<TR>");
      pw.println("<TD NOWRAP HEIGHT='27' WIDTH='27%'><P ALIGN=RIGHT><B>PIN:</B></TD>");
      pw.println("<TD><INPUT TYPE=password NAME=Pin SIZE=30 MAXLENGTH=30 VALUE=''></TD>");
      pw.println("</TR>");
      pw.println("<TR>");
      pw.println("<TD NOWRAP HEIGHT='27' WIDTH='27%'><P ALIGN=RIGHT><B>Password:</B></TD>");
      pw.println("<TD><INPUT TYPE=password NAME=Password SIZE=30 MAXLENGTH=30 VALUE=''></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");

      pw.println("<INPUT TYPE=hidden NAME=logon VALUE='" + getNewOid(ifsSession, "GtLogon") + "'>");

      pw.println("<P>");
      pw.println("<INPUT TYPE='image' VALUE='logon' SRC='/images/enter.gif'");
      pw.println("WIDTH='85' HEIGHT='25' ALIGN='CENTER'");
      pw.println("BORDER='0'>");
      pw.println("</P>");
      pw.println("</FORM>");
      pw.println("</CENTER>");

      //Draw Horizontal TITLE_SEPARATOR_BAR
      pw.println("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='0' CELLPADDING='1'>");
      pw.println("<TR>");
      pw.println("<TD><IMG SRC='/images/hr_2.gif' WIDTH='100%' HEIGHT='2'></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");

      // Self Registration Instructions
      pw.println("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='2' CELLPADDING='0'>");
      pw.println("<TR>");
      pw.println("<TD>If you are a first time user of PC Banking, and would like to register for this service, click on <B>Register</B>.</TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");

      // Self Registration button
      pw.println("<P><CENTER>");
      pw.println("<A HREF='" + IfsSystem.SelfRegistrationPage + "?Status_Code=reg_ques'>");
      pw.println("<IMG SRC='/images/register.gif' WIDTH='85' HEIGHT='25' BORDER='0'>");
      pw.println("</A>");
      pw.println("</CENTER></P>");

      // Footer with text versions of HELP and EXIT

      pw.println("<P><CENTER>");
      pw.println("<FONT SIZE=-2>");
      pw.println("<A HREF='" + IfsSystem.HelpPage + "'>HELP</A>");
      pw.println(" | ");
      pw.println("<A HREF='" + IfsSystem.LogoffPage + "'>EXIT</A>");
      pw.println("</FONT>");
      pw.println("</CENTER></P>");

      pw.println("</BODY>");
      pw.println("</HTML>");

   }
}

