import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.ifs.servlets.IfsHttpServlet;
import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.gold.IfsSystem;

public class NavPage extends IfsHttpServlet {
        public static boolean debugOn = false;

	public void doGet (HttpServletRequest req, HttpServletResponse res) 
				throws ServletException, IOException {

                IfsSession ifsSession = new IfsSession(req, res);
			                setDefaultHeader(res);

                PrintWriter pw = res.getWriter();

		pw.println ("<HTML>");
		pw.println ("<HEAD>");
	        addCopyright(res);	
                pw.println ("<TITLE>Navigation Bar</TITLE>");
		pw.println ("</HEAD>");
		pw.println ("<BODY BGCOLOR='#66CCFF' LINK='#000000' VLINK='#000000' ALINK='#000000'>");
		pw.println ("<BR><BR><BR>");
		
		pw.println ("<TABLE BORDER='0' CELLPADDING='0' CELLSPACING='0'>");
		pw.println ("<TR>	<TD ALIGN='center' VALIGN='center' ROWSPAN='200'>&nbsp;</TD>");
		pw.println ("		<TD ALIGN='left' VALIGN='center'><FONT SIZE='4'><B>Menu</B></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='center' VALIGN='center'>&nbsp;</TD></TR>");
		
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP><B>IfsHttpServlet</B></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_getRequestParameter01' TARGET='main' onMouseOver='window.status=\"getRequestParameter\"; return true'>getRequest</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_createInstance01' TARGET='main' onMouseOver='window.status=\"createInstance\"; return true'>createInstance</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_cacheMethods01' TARGET='main' onMouseOver='window.status=\"cache\"; return true'>cache</A></FONT></TD></TR>");
	      pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_LockNavigation01' TARGET='main' onMouseOver='window.status=\"Lock Navigation\"; return true'>lockNavigation</A></FONT></TD></TR>");
	      pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_SetDefaultHeader01' TARGET='main' onMouseOver='window.status=\"setDefaultHeader (no header set)\"; return true'>No Header Set</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_SetDefaultHeader03' TARGET='main' onMouseOver='window.status=\"setDefaultHeader (default header set)\"; return true'>Header Set</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_sort01' TARGET='main' onMouseOver='window.status=\"sort\"; return true'>sort</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_SetFieldsNormal01' TARGET='main' onMouseOver='window.status=\"setFields Normal\"; return true'>setFields Normal</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_SetFieldsError01' TARGET='main' onMouseOver='window.status=\"setFields Error\"; return true'>setFields Error</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_checkBrowserLocale01' TARGET='main' onMouseOver='window.status=\"checkBrowserLocale\"; return true'>checkBrowserLocale</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_getParameterValues01' TARGET='main' onMouseOver='window.status=\"getParameterValues\"; return true'>getParameterValues</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");
      
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP><B>Error Handling</B></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_HandleError_Redo' TARGET='main' onMouseOver='window.status=\"HandleErrorsRedo\"; return true'>Redo</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_HandleError_Info' TARGET='main' onMouseOver='window.status=\"HandleErrorsInfo\"; return true'>Info</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_HandleError_Fatal' TARGET='main' onMouseOver='window.status=\"HandleErrorsFatal\"; return true'>Fatal</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_HandleError_OK' TARGET='main' onMouseOver='window.status=\"HandleErrorsOK\"; return true'>OK</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");
		
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP><B>Debug</B></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Debug' TARGET='main' onMouseOver='window.status=\"Debug Options\"; return true'>Debug Options</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");
      
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP><B>IfsObject</B></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsObject_registerMethod' TARGET='main' onMouseOver='window.status=\"Registration of Methods'>registerMethod</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsObject_deregisterMethod' TARGET='main' onMouseOver='window.status=\"De-Registration of Methods\"; return true'>deregisterMethod</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsObject_hasRegisteredMethod' TARGET='main' onMouseOver='window.status=\"Check Registration of Methods\"; return true'>hasRegisteredMethod</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsObject_invokeMethod' TARGET='main' onMouseOver='window.status=\"Invoke Registered Methods\"; return true'>invokeMethod</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsObject_validate' TARGET='main' onMouseOver='window.status=\"Validation\"; return true'>validate</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsObject_toString' TARGET='main' onMouseOver='window.status=\"To String\"; return true'>toString</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsObject_setIfsSession' TARGET='main' onMouseOver='window.status=\"Set IfsSession\"; return true'>setIfsSession</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsObject_getIfsSession' TARGET='main' onMouseOver='window.status=\"Get IfsSession\"; return true'>getIfsSession</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsObject_getHttpSession' TARGET='main' onMouseOver='window.status=\"Get HttpSession\"; return true'>getHttpSession</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsObject_debug' TARGET='main' onMouseOver='window.status=\"Debug\"; return true'>Debug</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsObject_isDebugEnabled' TARGET='main' onMouseOver='window.status=\"Check Debug Flag\"; return true'>isDebugEnabled</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsObject_getLocale' TARGET='main' onMouseOver='window.status=\"Get Locale\"; return true'>getLocale</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsObject_getRegistry' TARGET='main' onMouseOver='window.status=\"Get Registry\"; return true'>getRegistry</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");
		
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP><B>IfsTxn</B></TD></TR>");
     		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_isValidateActionRequired' TARGET='main' onMouseOver='window.status=\"Check Validate Action \"; return true'>isValidateActionRequired</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_setValidateActionRequired' TARGET='main' onMouseOver='window.status=\"Set Validate Action \"; return true'>setValidateActionRequired</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_isRequestReadyActionRequired' TARGET='main' onMouseOver='window.status=\"Check Request Ready Action \"; return true'>isRequestReadyActionRequired</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_setRequestReadyActionRequired' TARGET='main' onMouseOver='window.status=\"Set Request Ready Action \"; return true'>setRequestReadyActionRequired</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_isResponseReadyActionRequired' TARGET='main' onMouseOver='window.status=\"Check Response Ready Action \"; return true'>isResponseReadyActionRequired</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_setResponseReadyActionRequired' TARGET='main' onMouseOver='window.status=\"Set Response Ready Action \"; return true'>setResponseReadyActionRequired</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_requestReadyAction' TARGET='main' onMouseOver='window.status=\"Request Ready Action \"; return true'>requestReadyAction</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_responseReadyAction' TARGET='main' onMouseOver='window.status=\"Response Ready Action \"; return true'>responseReadyAction</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_getRegistry' TARGET='main' onMouseOver='window.status=\"Get Registry\"; return true'>getRegistry</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_execute' TARGET='main' onMouseOver='window.status=\"Execute Txn\"; return true'>execute</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_addArgToGMJI' TARGET='main' onMouseOver='window.status=\"Add Arguments to GMJI Buffer\"; return true'>addArgToGMJI</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_denibblize' TARGET='main' onMouseOver='window.status=\"De-Nibblize\"; return true'>denibblize</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_getContainsRespCode' TARGET='main' onMouseOver='window.status=\"GetContainsRespCode\"; return true'>getContainsRespCode</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_setContainsRespCode' TARGET='main' onMouseOver='window.status=\"SetContainsRespCode\"; return true'>setContainsRespCode</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_getBrc' TARGET='main' onMouseOver='window.status=\"Get BRC\"; return true'>getBrc</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_getErrorCode' TARGET='main' onMouseOver='window.status=\"Get BRC\"; return true'>getErrorCode</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_getErrorFunctionName' TARGET='main' onMouseOver='window.status=\"GetErrorFunctionName\"; return true'>getErrorFunctionName</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_getErrorModuleName' TARGET='main' onMouseOver='window.status=\"GetErrorModuleName\"; return true'>getErrorModuleName</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_getExecutionMode' TARGET='main' onMouseOver='window.status=\"GetExecutionMode\"; return true'>getExecutionMode</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_getGmMessage' TARGET='main' onMouseOver='window.status=\"GetGmMessage\"; return true'>getGmMessage</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_getReqSelfDef' TARGET='main' onMouseOver='window.status=\"GetReqSelfDef\"; return true'>getReqSelfDef</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_getReqSelfDef_packed' TARGET='main' onMouseOver='window.status=\"GetReqSelfDef_Packed\"; return true'>getReqSelfDef_packed</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_getRespSelfDefData' TARGET='main' onMouseOver='window.status=\"GetRespSelfDefData\"; return true'>getRespSelfDefData</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_getNextCharFromGMJO' TARGET='main' onMouseOver='window.status=\"GetNextCharFromGMJO\"; return true'>getNextCharFromGMJO</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_getNextCharItemFromGMJO' TARGET='main' onMouseOver='window.status=\"GetNextCharItemFromGMJO\"; return true'>getNextCharItemFromGMJO</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_getNextNullCharFromGMJO' TARGET='main' onMouseOver='window.status=\"GetNextNullCharFromGMJO\"; return true'>getNextNullCharFromGMJO</A></FONT></TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_getNextVarCharFromGMJO' TARGET='main' onMouseOver='window.status=\"GetNextVarCharFromGMJO\"; return true'>getNextVarCharFromGMJO</A></FONT></TD></TR>");
            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_getMessage' TARGET='main' onMouseOver='window.status=\"getMessage\"; return true'>getMessage</A></FONT></TD></TR>");
            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_getMessageNull' TARGET='main' onMouseOver='window.status=\"getMessageNull\"; return true'>getMessageNull</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_getNextBinaryItemFromGMJO' TARGET='main' onMouseOver='window.status=\"getNextBinaryItemFromGMJO\"; return true'>getNextBinaryItemFromGMJO</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_getNextBinaryItemFromGMJOBad' TARGET='main' onMouseOver='window.status=\"getNextBinaryItemFromGMJOBad\"; return true'>getNextBinaryItemFromGMJOBad</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_getNextDoubleFromGMJO' TARGET='main' onMouseOver='window.status=\"getNextDoubleFromGMJO\"; return true'>getNextDoubleFromGMJO</A></FONT></TD></TR>");
            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_getNextDoubleFromGMJOBad' TARGET='main' onMouseOver='window.status=\"getNextDoubleFromGMJOBad\"; return true'>getNextDoubleFromGMJOBad</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_getNextLongFromGMJO' TARGET='main' onMouseOver='window.status=\"getNextLongFromGMJO\"; return true'>getNextLongFromGMJO</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_getNextLongFromGMJOBad' TARGET='main' onMouseOver='window.status=\"getNextLongFromGMJOBad\"; return true'>getNextLongFromGMJOBad</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_getReasonCode' TARGET='main' onMouseOver='window.status=\"getReasonCode\"; return true'>getReasonCode</A></FONT></TD></TR>");
            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_getReasonCodeNull' TARGET='main' onMouseOver='window.status=\"getReasonCodeNull\"; return true'>getReasonCodeNull</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_GMRequestIds' TARGET='main' onMouseOver='window.status=\"GMRequestIds\"; return true'>GMRequestIds</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_GetLongFromGMJO' TARGET='main' onMouseOver='window.status=\"GetLongFromGMJO\"; return true'>GetLongFromGMJO</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_GetSenseDataLength' TARGET='main' onMouseOver='window.status=\"GetSenseDataLength\"; return true'>GetSenseDataLenght</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_IsGoldData' TARGET='main' onMouseOver='window.status=\"IsGoldData\"; return true'>IsGoldData</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_Nibblize' TARGET='main' onMouseOver='window.status=\"Nibblize\"; return true'>Nibblize</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_SetDefaultFlags' TARGET='main' onMouseOver='window.status=\"SetDefaultFlags\"; return true'>SetDefaultFlags</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_SetExecutionMode' TARGET='main' onMouseOver='window.status=\"SetExecutionMode\"; return true'>SetExecutionMode</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_SetReqSelfDef' TARGET='main' onMouseOver='window.status=\"SetReqSelfDef\"; return true'>SetReqSelfDef</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_SetReqSelfDef_packed' TARGET='main' onMouseOver='window.status=\"SetReqSelfDef_packed\"; return true'>SetReqSelfDef_packed</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_SetStatus_GetStatus' TARGET='main' onMouseOver='window.status=\"SetStatus_GetStatus\"; return true'>SetStatus_GetStatus</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsTxn_ToStringFromGMJI' TARGET='main' onMouseOver='window.status=\"ToStringFromGMJI\"; return true'>ToStringFromGMJI</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");

            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP><B>Resource Bundle</B></TD></TR>");
            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_getMessage' TARGET='main' onMouseOver='window.status=\"getMessage\"; return true'>getMessage</A></FONT></TD></TR>");
            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_getMessageTextBad' TARGET='main' onMouseOver='window.status=\"getMessageTextBad\"; return true'>getMessageTextBad</A></FONT></TD></TR>");
            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_getMessageText01' TARGET='main' onMouseOver='window.status=\"getMessageText\"; return true'>getMessageText</A></FONT></TD></TR>");
            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_ResourceBundle01' TARGET='main' onMouseOver='window.status=\"List Bundles\"; return true'>List Bundles</A></FONT></TD></TR>");
            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");

            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP><B>ChgPinPwdTxn</B></TD></TR>");
            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_ChangeCustomerId01' TARGET='main' onMouseOver='window.status=\"Change Customer Id\"; return true'>change id</A></FONT></TD></TR>");
            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_ChangeCustomerPin01' TARGET='main' onMouseOver='window.status=\"Change Customer Pin (Non-Encrypted)\"; return true'>change pin</A></FONT></TD></TR>");
            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_ChangeCustomerPin04' TARGET='main' onMouseOver='window.status=\"Change Customer Pin (Encrypted)\"; return true'>change pin (encrypted)</A></FONT></TD></TR>");
            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_ChangeCustomerPwd01' TARGET='main' onMouseOver='window.status=\"Change Customer Password (Non-Encrypted)\"; return true'>change pwd</A></FONT></TD></TR>");
            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_ChangeCustomerPwd04' TARGET='main' onMouseOver='window.status=\"Change Customer Password (Encrypted)\"; return true'>change pwd (encrypted)</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");

            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP><B>SelfReg</B></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_SelfRegistration01' TARGET='main' onMouseOver='window.status=\"Self Registration\"; return true'>SelfReg</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");

            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP><B>GtLogon</B></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_Logon01' TARGET='main' onMouseOver='window.status=\"GtLogon\"; return true'>GtLogon</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");

            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP><B>IfsSession</B></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsSession' TARGET='main' onMouseOver='window.status=\"Test_IfsSession\"; return true'>IfsSession Test</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_IfsSession_Key' TARGET='main' onMouseOver='window.status=\"Test_IfsSession_Key\"; return true'>IfsSession set Key Test</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");
      
            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP><A HREF='Test_IfsSystem01' TARGET='main' onMouseOver='window.status=\"IfsSystem\"; return true'><B>IfsSystem</B></A></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");

            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP><A HREF='Test_IfsNLS01' TARGET='main' onMouseOver='window.status=\"IfsNLS\"; return true'><B>IfsNLS</B></A></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");

            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP><A HREF='Test_Reauth01' TARGET='main' onMouseOver='window.status=\"GtReauthentication\"; return true'><B>GtReauthentication</B></A></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");

            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP><A HREF='Test_GsCurrency' TARGET='main' onMouseOver='window.status=\"GsCurrency\"; return true'><B>GsCurrency</B></A></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");

            pw.println ("<TR> 	<TD ALIGN='left' VALIGN='center' NOWRAP><A HREF='Test_GsDecimal01' TARGET='main' onMouseOver='window.status=\"GsDecimal\"; return true'><B>GsDecimal</B></A></TD></TR>");
            pw.println ("<TR> 	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");

            pw.println ("<TR> 	<TD ALIGN='left' VALIGN='center' NOWRAP><A HREF='Test_GsDate01' TARGET='main' onMouseOver='window.status=\"GsDate\"; return true'><B>GsDate</B></A></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");

            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP><A HREF='Test_GsTime01' TARGET='main' onMouseOver='window.status=\"GsTime\"; return true'><B>GsTime</B></A></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");


            pw.println ("<TR> <TD ALIGN='left' VALIGN='center' NOWRAP><B>getXxx_text()</B></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_GsAccountS01' TARGET='main' onMouseOver='window.status=\"Test_GsAccountS\"; return true'>GsAccountS</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_GtSmallBusWireTransferCancel01' TARGET='main' onMouseOver='window.status=\"Test_GtSmallBusWireTransferCancel\"; return true'>GtSmallBusWireTransferCancel</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_GtSmallBusWireTransferInit01' TARGET='main' onMouseOver='window.status=\"Test_GtSmallBusWireTransferInit\"; return true'>GtSmallBusWireTransferInit</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp; <FONT SIZE='2'><A HREF='Test_GtSmallBusWireTransferInquiry01' TARGET='main' onMouseOver='window.status=\"Test_GtSmallBusWireTransferInquiry\"; return true'>GtSmallBusWireTransferInquiry</A></FONT></TD></TR>");
            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");

            pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP>&nbsp;</TD></TR>");
		pw.println ("<TR>	<TD ALIGN='left' VALIGN='center' NOWRAP><A HREF='" +IfsSystem.LogoffPage+ "' TARGET='_top' onMouseOver='window.status=\"Logoff\"; return true'><B>Logoff</B></A></TD></TR>"); 
    
            pw.println ("</TABLE>");
		
            pw.println ("</BODY>");
		pw.println ("</HTML>");

	}
}

