
/* -------------------------------------------------------------------------- *
 * File: Reauth.java                                                  *
 *                                                                            *
 * Copyright Information:                                                     *
 *   Licensed Materials - Property of IBM                                     *
 *   5648-A06                                                                 *
 *   (c) Copyright IBM Corporation, 1996-2000. All rights reserved.           *
 *   US Government Users Restricted Rights - Use, duplication                 *
 *   or disclosure restricted by GSA ADP Schedule Contract                    *
 *   with IBM                                                                 *
 *                                                                            *
 * -------------------------------------------------------------------------- */
 
import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletRequest;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.ibm.ifs.gold.GtReauthentication;
import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.gold.IfsSystem;
import com.ibm.ifs.servlets.IfsHttpServlet;

public class Reauth extends IfsHttpServlet {
	public void doGet (HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
		
		PrintWriter pw = null;
      IfsSession IfsSession = null;
		String oid = null, page = null;
		try {   
			IfsSession = new IfsSession(request, response);
			IfsSystem.initIfs();


			
		}
		catch (Exception e) {
			debug("Reauth.doGet(), An Exception has occurred: message =  " + e.toString());
		}

      ReauthViewBean reauthBean = new ReauthViewBean();

      reauthBean.setPage(IfsHttpServlet.getPreviousPage(request));
      reauthBean.setIsPreviousPage(IfsHttpServlet.isPreviousPageMethodPost(request));
      reauthBean.setPagePw(pw);
      reauthBean.setPageRequest(request);
      setDefaultHeader(response);
      request.setAttribute("REAUTH_BEAN", reauthBean);
      getServletContext().getContext("/").getRequestDispatcher("/reauth.jsp").forward(request, response);
	}
}
   

