/*
 * IfsRunCtw.java
 *
 * Licensed Materials - Property of IBM
 * 5648-A06
 * (c) Copyright IBM Corporation, 1996-2000. All rights reserved.
 * US Government Users Restricted Rights - Use, duplication
 * or disclosure restricted by GSA ADP Schedule Contract
 * with IBM
 *
 */

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.ifs.servlets.IfsHttpServlet;
import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.gold.IfsSystem;

public class IfsRunCtw extends IfsHttpServlet {

	public static boolean debugOn = false;
	public void doGet (HttpServletRequest req, HttpServletResponse res)
				throws ServletException, IOException {

              try {
                res.setContentType("application/x-ctw-bin");
                res.setHeader("Pragma", "No-cache");
                res.setHeader("Cache-Control", "no-cache");
                res.setDateHeader("Expires", 0);
              }
              catch(Exception e) {
                debug(res, "An exception has been thrown in the setContentType part. Exception=" + e.toString());
              }

		IfsSession sess = new IfsSession(req, res);

                setDefaultHeader(res);
		PrintWriter out = res.getWriter();

	}
}
