 import java.io.IOException;
 import java.io.PrintWriter;
 import java.net.URLEncoder;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 import javax.servlet.ServletException;
 import com.ibm.ifs.gold.IfsSession;
 import com.ibm.ifs.gold.IfsSystem;
 import com.ibm.ifs.servlets.IfsHttpServlet;
 /*
 *
 * WebTransactionActivityForm
 * This is the Input Form for Web Transaction Activity Class. User can select create,read,delete and list methods from this Form.
 * This Form calls the WebTransactionActivityServlet servlet which in turn calls IfsWebTransactionActivity Class and its methods.
 *
 */
 public class WebTransactionActivityForm extends IfsHttpServlet {
 	public static boolean debugOn =false;
   public void doGet (HttpServletRequest request,HttpServletResponse response)throws ServletException,IOException {
      PrintWriter pw =response.getWriter();
      IfsSession ifsSession =new IfsSession(request,response);
      try {
         IfsSystem.initIfs();
         String message =(String)getRequestParameter(request,"Message");
         //Now output the results of the read to the screen
         pw.println("<HTML>");
         pw.println("<HEAD>");
         addCopyright(response);
         pw.println("<TITLE>");
         pw.println("Web Transaction Activity Form");
         pw.println("</TITLE>");
         pw.println("<META NAME=\"Author \"VALUE=\"IBM Corporation \">");
         pw.println("<META NAME=\"Application \"VALUE=\"Customizable Web Server Example Pages \">");
         pw.println("</HEAD>");
         pw.println("<BODY>");
         //pw.println("<BODY BGCOLOR=\"#ffffff \">");
         //pw.println("<BODY BGCOLOR=\"#FFFFFF \"BACKGROUND=\"\">");
         pw.println("<BR>");
         //---Begin Standard Title ------------------------//
         pw.println("<P><TABLE WIDTH='100 %' BORDER='0' CELLSPACING='0' CELLPADDING='0'>");
         pw.println("<TR>");
         pw.println("<TD VALIGN='BASELINE' ALIGN='CENTER'> <FONT SIZE=+2 COLOR='#000000'>Web Transaction Activity Form</FONT></TD>");
         pw.println("</TR>");
         pw.println("</TABLE>");
         pw.println("<IMG SRC='/images/hr_2.gif' WIDTH='100 %' HEIGHT='3' ALIGN='CENTER'><BR>");
         pw.println("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='3' CELLPADDING='2'>");
         pw.println("<TR>");
         pw.println("<TD WIDTH='90%'>&nbsp;"+((null == message)?"":message)+"</TD>");
         pw.println("</TR>");
         pw.println("</TABLE>");
         pw.println("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='2' CELLPADDING='0'>");
         pw.println("<TR>");
         pw.println("<TD WIDTH='100%' VALIGN='TOP'><FONT></FONT></TD>");
         pw.println("</TR>");
         pw.println("</TABLE>");
         //---End Standard Title---------------------------//
         pw.println("<CENTER>");
         pw.println("<FORM METHOD='post' NAME='JDBC Form' action='" + "WebTransactionActivityServlet'>");
         pw.println("<INPUT TYPE=HIDDEN NAME=webTxn VALUE='__WebTransaction'>");
         pw.println("<TABLE WIDTH='60%' BORDER='0' CELLPADDING='0' CELLSPACING='0' HEIGHT='100'>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<A NAME='TOP'> </A>");
         pw.println("<BR><B>Select the IfsWebTransactionActivity Method you wish to execute.</B><BR>");
         pw.println("<INPUT TYPE=radio NAME=Method VALUE='Create'CHECKED>create()<BR>");
         pw.println("<INPUT TYPE=radio NAME=Method VALUE='List'>list()<BR>");
         pw.println("<INPUT TYPE=radio NAME=Method VALUE='Read'>read()<BR>");
         pw.println("<INPUT TYPE=radio NAME=Method VALUE='Delete'>delete()<BR>");
         pw.println("</TD>");
         pw.println("</TR>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<BR><B>Input all of the necessary data for the method you selected above.</B>");
         pw.println("<BR>(For Necessary Data Click Here <A HREF='#CRT'>Create</A>  <A HREF='#RD'>Read</A>");
         pw.println("<A HREF='#DLT'>Delete</A> <A HREF='#LST'>List</A>) <P>");
         pw.println("</TR>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<B>Financial Institution Identifier</B></TD>");
         pw.println("<TD NOWRAP><INPUT TYPE=text NAME=financialInstitutionIdentifier SIZE=30 MAXLENGTH=30 VALUE=''> </TD>");
         pw.println("</TR>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<B>Primary Consumer ID</B></TD>");
         pw.println("<TD NOWRAP><INPUT TYPE=text NAME=primaryConsumerID SIZE=30 MAXLENGTH=50 VALUE=''> </TD>");
         pw.println("</TR>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<B>Transaction Initiator Consumer ID</B></TD>");
         pw.println("<TD NOWRAP><INPUT TYPE=text NAME=transactionInitiatorConsumerID SIZE=30 MAXLENGTH=50 VALUE=''> </TD>");
         pw.println("</TR>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<B>Service Request Name</B></TD>");
         pw.println("<TD NOWRAP><INPUT TYPE=text NAME=serviceRequestName SIZE=30 MAXLENGTH=30 VALUE=''> </TD>");
         pw.println("</TR>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<B>Transaction Logged Timestamp</B></TD>");
         pw.println("<TD NOWRAP><INPUT TYPE=text NAME=transactionLoggedTimestamp SIZE=30 MAXLENGTH=30 VALUE=''> </TD>");
         pw.println("</TR>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<B>Gold Transaction Amount</B></TD>");
         pw.println("<TD NOWRAP><INPUT TYPE=text NAME=goldTransactionAmount SIZE=30 MAXLENGTH=30 VALUE=''> </TD>");
         pw.println("</TR>");

         pw.print("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<B>Transaction Beneficiary</B></TD>");
         pw.println("<TD NOWRAP><INPUT TYPE=text NAME=transactionBeneficiary SIZE=30 MAXLENGTH=50 VALUE=''> </TD>");
         pw.println("</TR>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<B>Transaction Reference</B></TD>");
         pw.println("<TD NOWRAP><INPUT TYPE=text NAME=transactionReference SIZE=30 MAXLENGTH=50 VALUE=''> </TD>");
         pw.println("</TR>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<B>Transaction Value Date</B></TD>");
         pw.println("<TD NOWRAP><INPUT TYPE=text NAME=transactionValueDate SIZE=30 MAXLENGTH=30 VALUE=''> </TD>");
         pw.println("</TR>");
         pw.println("<TR>"); 
         pw.println("<TD NOWRAP>");
         pw.println("<B>Transaction Logging Reason Code</B></TD>");
         pw.println("<TD NOWRAP><INPUT TYPE=text NAME=transactionLoggingReasonCode SIZE=30 MAXLENGTH=30 VALUE=''> </TD>");
         pw.println("</TR>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<B>Transaction Authorizer Consumer ID</B></TD>");
         pw.println("<TD NOWRAP><INPUT TYPE=text NAME=transactionAuthorizerConsumerID SIZE=30 MAXLENGTH=50 VALUE=''> </TD>");
         pw.println("</TR>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<B>Transaction Authorization Timestamp</B></TD>");
         pw.println("<TD NOWRAP><INPUT TYPE=text NAME=transactionAuthorizationTimestamp SIZE=30 MAXLENGTH=30 VALUE=''> </TD>");
         pw.println("</TR>"); 

         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<B>Transaction Data</B></TD>");
         pw.println("<TD NOWRAP><Textarea rows=8 cols=25 wrap=virtual name=transactionData></Textarea>");
         pw.println("</TD>");
         pw.println("</TR>");


         /* pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<B>User ID</B></TD>");
         pw.println("<TD NOWRAP><INPUT TYPE=text NAME=userID SIZE=30 MAXLENGTH=30 VALUE=''> </TD>");
         pw.println("</TR>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<B>Password</B></TD>");
         pw.println("<TD NOWRAP><INPUT TYPE=password NAME=password SIZE=30 MAXLENGTH=30 VALUE=''> </TD>");
         pw.println("</TR>"); */

         pw.println("</TABLE>");
         pw.println("<INPUT TYPE='image'VALUE='debug'SRC='/images/enter.gif'");
         pw.println("WIDTH='85'HEIGHT='25'ALIGN='CENTER'");
         pw.println("BORDER=''>");
         pw.println("</FORM>");
         pw.println("</CENTER>");
         //Draw Horizontal TITLE_SEPARATOR_BAR
         pw.println("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='0' CELLPADDING='1'>");
         pw.println("<TR>");
         pw.println("<TD><IMG SRC='/images/hr_2.gif'WIDTH='100%' HEIGHT='2'></TD>");
         pw.println("</TR>");
         pw.println("<TR> <TD>");
         pw.println("<B> <A HREF='#TOP'>TOP</A> </B>");
         pw.println("</TD> </TR>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<BR><B> <A NAME='CRT'>For Create</A>");
         pw.println("<UL> <LI>Financial Institution Identifier <LI>Primary Consumer ID <LI>Transaction Initiator Consumer ID");
         pw.println("<LI>Service Request Name <LI>Transaction Logging Reason Code <LI>Transaction Data </UL> </B> </TD> ");
         pw.println("</TR>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<BR><B> <A NAME='RD'>Read </A> and <A NAME='DLT'>Delete </A>");

         pw.println("<UL> <LI>Financial Institution Identifier <LI>Primary Consumer ID <LI>Transaction Initiator Consumer ID");

         pw.println("<LI>Service Request Name <LI>Transaction Logged Timestamp </UL> </B></TD>");

         pw.println("</TR>");
         pw.println("<TR>");
         pw.println("<TD NOWRAP>");
         pw.println("<BR><B> <A NAME='LST'>For List </A>");
         pw.println("<UL> <LI>Financial Institution Identifier <LI>Primary Consumer ID </UL> </B></TD>");
         pw.println("</TR>");
         pw.println("</TABLE>");
         pw.println("</BODY>");
         pw.println("</HTML>");
      }
      catch (Exception e){
         debug("WebTransactionActivityForm.doGet()-exception caught,value is "+e.toString());
      }
   }
 }

